from django import template

register = template.Library()

@register.filter(name='split')
def split(value, key):
    """
    Memecahkan string kepada senarai (list).
    Penggunaan dalam HTML: {{ string|split:"," }}
    """
    if value:
        # Buang ruang kosong (whitespace) di sekeliling setiap perkataan selepas dipecahkan
        return [item.strip() for item in value.split(key) if item.strip()]
    return []